#!/bin/bash

if [ `whoami` == "root" ]; then
    echo "$0: please run me as the zimbra user" >&2
    exit 1
fi

VERSION=`zmcontrol -v`
case "$VERSION" in
        *8.5* | *8.6* | *8.7*)
                echo "Current zimbra version is $VERSION"
                zmprov ms `zmhostname` zimbraZimletJspEnabled TRUE
        ;;
        *)
                echo "Current version is $VERSION"
        ;;
esac
echo "Please make sure to restart mailboxd."

ZIMBRA_ROOT=$HOME
ZIMBRA_MYSQL=$ZIMBRA_ROOT/bin/mysql

echo "Removing old jsp files...." >&2
rm -Rf \
	$ZIMBRA_ROOT/mailboxd/webapps/zimbraAdmin/public/loadSignatureTemplate.jsp	\
	$ZIMBRA_ROOT/mailboxd/webapps/zimbraAdmin/public/saveSignatureTemplate.jsp	\
	$ZIMBRA_ROOT/mailboxd/webapps/zimbra/public/signature.jsp

echo "Restarting mailboxd ..." >&2
$ZIMBRA_ROOT/bin/zmmailboxdctl restart
